package credit_balance

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/credit_balance"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /credit_balance credit_balance GetCreditBalanceById
//
// Get credit balance by ID | 通过ID获取CreditBalance
//
// Get credit balance by ID | 通过ID获取CreditBalance
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDReq
//
// Responses:
//  200: CreditBalanceInfoResp

func GetCreditBalanceByIdHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := credit_balance.NewGetCreditBalanceByIdLogic(r.Context(), svcCtx)
		resp, err := l.GetCreditBalanceById(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
